Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt
Class GeneratorUtilities

    java.lang.Object
      com.trolltech.qt.GeneratorUtilities

    public class GeneratorUtilities

extends java.lang.Object

Constructor Summary
`GeneratorUtilities()`

Method Summary
`static void` | `countExpense(java.lang.Class cl, int cost, int limit)`
`static java.lang.Object` | `createExtendedEnum(int value, int ordinal, java.lang.Class cl, java.lang.String name)`
`static java.lang.Object` | `fetchField(java.lang.Object owner, java.lang.Class declaringClass, java.lang.String fieldName)`
`static void` | `setField(java.lang.Object owner, java.lang.Class declaringClass, java.lang.String fieldName, java.lang.Object newValue)`
`static void` | `threadCheck(QObject obj)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GeneratorUtilities

    public GeneratorUtilities()

Method Detail

### threadCheck

    public static void threadCheck(QObject obj)

### fetchField

    public static java.lang.Object fetchField(java.lang.Object owner,
                                              java.lang.Class declaringClass,
                                              java.lang.String fieldName)

### setField

    public static void setField(java.lang.Object owner,
                                java.lang.Class declaringClass,
                                java.lang.String fieldName,
                                java.lang.Object newValue)

### countExpense

    public static void countExpense(java.lang.Class cl,
                                    int cost,
                                    int limit)

### createExtendedEnum

    public static java.lang.Object createExtendedEnum(int value,
                                                      int ordinal,
                                                      java.lang.Class cl,
                                                      java.lang.String name)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD